#include <iostream>
#include <stdio.h>
#include <string.h>
using namespace std;

int main()
{
    string a,b,c;
    cin>>a>>b>>c;
    if(a>=b)
    {
        if(b>=c)
        {
            cout<<a<<b<<c;
        }
        else
        {
            if(a>=c)
            {
                cout<<a<<c<<b;
            }
            else
            {
                cout<<c<<a<<b;
            }
        }
    }
    else
    {
        if(b>=c)
        {
            if(a>=c)
            {
                cout<<b<<a<<c;
            }
            else
            {
                cout<<b<<c<<a;
            }
        }
        else
        {
            cout<<c<<b<<a;
        }
    }


    return 0;
}